shared_mutex File Reference

Go to the source code of this file.

## Classes

class | std::__shared_mutex_cv
class | std::shared_lock< _Mutex >
class | std::shared_timed_mutex

## Namespaces

| std

## Macros

#define | _GLIBCXX_SHARED_MUTEX
#define | __cpp_lib_shared_timed_mutex
using | std::__shared_timed_mutex_base = __shared_mutex_cv
template<typename _Mutex >
void | std::swap (shared_lock< _Mutex > &__x, shared_lock< _Mutex > &__y) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file shared_mutex.